Bug 1987198 - The chart version dropdown says `Select the chart version` even when the dropdown is disabled
Summary: The chart version dropdown says `Select the chart version` even when the drop...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: divgupta
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-29 08:14 UTC by divgupta
Modified: 2021-10-18 17:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:43:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9612 0 None open Bug 1987198: Fix to hide help text if helm chart install/upgrade dropdown is disabled 2021-07-29 08:15:47 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:43:26 UTC

Description divgupta 2021-07-29 08:14:52 UTC
Description of problem:
In the Helm Install page, if the Chart version dropdown is disabled the help text still says `Select the Chart version`

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1.Helm Charts
2.Try installing the `Ibm object storage plugin` helm chart

Actual results:
The chart version dropdown is disabled and the help text says `Select the Chart verison`

Expected results:
The above helptext shouldn't be shown if the user cannot select from the dropdown

UX recommendation: Remove the 'Select the Chart verison' text

Comment 1 Vikram Raj 2021-08-04 16:53:32 UTC
Verified on 4.9.0-0.nightly-2021-08-04-025616. Help text is not shown when dropdown is disabled

Comment 5 errata-xmlrpc 2021-10-18 17:43:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.